PDA

View Full Version : HAL buid on Mac OS X



apoorvagajanan
03-26-2009, 04:21 AM
Does Mac OS X provides support for Hardware Abstraction Layer (HAL)...

Its requirements are --

==========
HAL 0.5.12
==========

Released Month 00, 2008.

Requirements for HAL 0.5.12:

- Linux kernel >= 2.6.19
- util-linux >= 2.12r1 (--enable-umount-helper requires patch
from RH #188193; it's in util-linux-ng 2.13)
- bash >= 2.0
- udev >= 117 (Linux only)
- dbus >= 0.61 (with glib bindings)
- glib >= 2.10.0
- expat >= 1.95.8
- hal-info >= 20080310 (older versions can work too)
- libusb >= 0.1.10a (optional)
- pciutils >= 2.2.3 (optional)
- dmidecode >= 2.7 (optional)
- parted >= 1.7.1 (optional)
- cryptsetup-luks >= 1.0.1 (optional, needs LUKS patches)
- libsmbios >= 0.13.4 (optional, for DELL machines, Linux only,
prefered version >= 2.0.3)
- dellWirelessCtl >= 0.13.4 (optional, for Dell machines, must live in
/usr/bin/, Linux only, prefered version >= 2.0.3)
- gperf >= 3.0.3-2 (optional, for Re-map multimedia keys,
Linux only)
- PolicyKit >= 0.5 (optional)
- ConsoleKit >= 0.2.0 (optional, needed if use PolicyKit)
- pm-utils >= 0.99.2 or newer (optional)


Can anyone please reply ??????

Nethfel
03-26-2009, 07:56 AM
You might want to check out:

hal build error - macosx.com (http://macosx.com/forums/unix-x11/306718-hal-build-error.html)

which talks about installing linux software on an OSX box.

although, someone did respond to your post on macosxhints - guess you were looking for more =)